Package org.eclipse.net4j.tcp.ssl

## Class SSLUtil

- java.lang.Object
- - org.eclipse.net4j.tcp.ssl.SSLUtil

-     public class SSLUtil
      extends java.lang.Object

  A utility class with various static factory and convenience methods for SSL transport.
  Since:
    4.0
  Author:
    Teerawat Chaiyakijpichet (No Magic Asia Ltd.), Caspar De Groot (No Magic Asia Ltd.)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SSLUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static javax.net.ssl.SSLEngine` | `createSSLEngine​(boolean client, java.lang.String host, int port)` |
    `static ITCPAcceptor` | `getAcceptor​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String description)` |
    `static ITCPConnector` | `getConnector​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String description)` |
    `static int` | `getHandShakeTimeOut()` |
    `static int` | `getHandShakeWaitTime()` |
    `static void` | `prepareContainer​(org.eclipse.net4j.util.container.IManagedContainer container)` |
    `static void` | `setDefaultSSLConfiguration​(java.lang.String keyPath, java.lang.String trustPath, java.lang.String passPhrase)` |
    `static void` | `setDefaultSSLConfiguration​(java.lang.String keyPath, java.lang.String trustPath, java.lang.String passPhrase, int handShakeTimeOut, int handShakeWaitTime)` |
    `static void` | `setSSLConfigurationFile​(java.lang.String file)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLUtil

          public SSLUtil()

  - ### Method Detail

    - #### setDefaultSSLConfiguration

          public static void setDefaultSSLConfiguration​(java.lang.String keyPath,
                                                        java.lang.String trustPath,
                                                        java.lang.String passPhrase)

    - #### setDefaultSSLConfiguration

          public static void setDefaultSSLConfiguration​(java.lang.String keyPath,
                                                        java.lang.String trustPath,
                                                        java.lang.String passPhrase,
                                                        int handShakeTimeOut,
                                                        int handShakeWaitTime)

    - #### setSSLConfigurationFile

          public static void setSSLConfigurationFile​(java.lang.String file)

    - #### prepareContainer

          public static void prepareContainer​(org.eclipse.net4j.util.container.IManagedContainer container)

    - #### getAcceptor

          public static ITCPAcceptor getAcceptor​(org.eclipse.net4j.util.container.IManagedContainer container,
                                                 java.lang.String description)

    - #### getConnector

          public static ITCPConnector getConnector​(org.eclipse.net4j.util.container.IManagedContainer container,
                                                   java.lang.String description)

    - #### createSSLEngine

          public static javax.net.ssl.SSLEngine createSSLEngine​(boolean client,
                                                                java.lang.String host,
                                                                int port)
                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getHandShakeTimeOut

          public static int getHandShakeTimeOut()

    - #### getHandShakeWaitTime

          public static int getHandShakeWaitTime()